local widget = require( "widget" )
local myVariable={}
local list
local numberOfRows=50

local function onRowTouch(event)
	local phase = event.phase
	local row = event.row

	if phase=="tap" then
		for i = 1, numberOfRows do
			myVariable[i]=0
		end
		myVariable[row.index]=1
		list:reloadData( )
	end
end
local function onRowRender( event )
	local phase = event.phase
	local row = event.row

	local groupContentHeight = row.contentHeight

	local LEFT_PADDING = 10
	local halfW = display.contentCenterX
	local halfH = display.contentCenterY

	local myRect = display.newRect(halfW,row.height*0.5,display.contentWidth-20,80)
	if myVariable[row.index]==1 then
		myRect:setFillColor(1,0,0)
	else
		myRect:setFillColor(0,0,1)
	end
	row:insert(myRect)
end
list = widget.newTableView
	{
		top = 0,
		width = display.contentWidth, 
		height=display.contentHeight ,
		onRowRender = onRowRender,
		onRowTouch = onRowTouch,
	}

	for i = 1, numberOfRows do
		myVariable[i]=0
		list:insertRow{rowHeight = 100}
	end